%define upstream_name    Lucy
%define upstream_version 0.6.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Apache Lucy search engine library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

%{?perl_default_filter}
BuildRequires: perl(Clownfish) >= 0.6.2
BuildRequires: perl(Clownfish::CFC) >= 0.6.2
BuildRequires: perl(Clownfish::CFC::Perl::Build) >= 0.6.2
BuildRequires: perl(Devel::PPPort) >= 3.140.0
BuildRequires: perl(ExtUtils::CBuilder) >= 0.210.0
BuildRequires: perl(ExtUtils::ParseXS) >= 3.0.0
BuildRequires: perl(Module::Build) >= 0.280.801
BuildRequires: perl-devel
%description
Apache Lucy is a high-performance, modular search engine library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_USE_UNSAFE_INC=1
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc CHANGES CONTRIBUTING INSTALL LICENSE META.json META.yml MYMETA.yml NOTICE README sample
%{_mandir}/man3/*
%{perl_vendorarch}/*

%changelog
* Sat Jul 18 2020 tv <tv> 0.6.2-5.mga8
+ Revision: 1606987
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.6.2-4.mga8
+ Revision: 1508369
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.6.2-3.mga7
+ Revision: 1293387
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 pterjan <pterjan> 0.6.2-2.mga7
+ Revision: 1250552
- Rebuild for perl 5.28

* Tue Mar 20 2018 shlomif <shlomif> 0.6.2-1.mga7
+ Revision: 1210729
- New version 0.6.2

* Tue Oct 03 2017 tv <tv> 0.6.1-3.mga7
+ Revision: 1165278
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.6.1-2.mga7
+ Revision: 1149848
- Rebuild for perl ABI changes

* Fri Aug 18 2017 sander85 <sander85> 0.6.1-1.mga7
+ Revision: 1141616
- update to 0.6.1

* Sun Jun 19 2016 pterjan <pterjan> 0.5.1-2.mga6
+ Revision: 1029449
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.5.1-1.mga6
+ Revision: 1007959
- New version 0.5.1

* Fri Feb 12 2016 umeabot <umeabot> 0.4.2-3.mga6
+ Revision: 957684
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.4.2-2.mga6
+ Revision: 842751
- Rebuild for perl 5.22

* Mon Jun 22 2015 sander85 <sander85> 0.4.2-1.mga6
+ Revision: 838619
- update to 0.4.2

* Thu Oct 23 2014 danf <danf> 0.4.0-5.mga5
+ Revision: 792799
- Added %%{?perl_default_filter} to fix required dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 746302
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.4.0-3.mga5
+ Revision: 733167
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-2.mga5
+ Revision: 685280
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 0.4.0-1.mga5
+ Revision: 671998
- update to 0.4.0

* Tue Jun 03 2014 pterjan <pterjan> 0.3.3-3.mga5
+ Revision: 631379
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.3.3-2.mga4
+ Revision: 531518
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 sander85 <sander85> 0.3.3-1.mga4
+ Revision: 463841
- update to 0.3.3

* Wed May 29 2013 jquelin <jquelin> 0.3.2-3.mga4
+ Revision: 430872
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.2-2.mga3
+ Revision: 369254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 0.3.2-1.mga3
+ Revision: 270375
- update to 0.3.2

* Thu May 31 2012 jquelin <jquelin> 0.3.1-1.mga3
+ Revision: 252169
- update to 0.3.1

* Tue Mar 06 2012 jquelin <jquelin> 0.3.0-1.mga2
+ Revision: 220029
- adding missing buildrequires:
- update to 0.3.0

* Mon Jan 09 2012 jquelin <jquelin> 0.2.2-1.mga2
+ Revision: 194002
- adding missing buildrequires:
- adding missing buildrequires:
- imported package perl-Lucy

